
Foreman - Feature #3914

Need ability to specify a default Organization for a user

12/18/2013 04:31 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee: Daniel Lobato Garcia   

Category: Organizations and Locations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When logging into Foreman we need the ability to optionally specify which organization the user 'lands' in after the login process

completes.

This allows users who primarily use one organization to manage their infrastructure to skip the Click -> Select in the org switcher

after login.

I attached a screenshot of Katello's implementation of this selection.  It can also be exposed as a user preference.

Related issues:

Related to Foreman - Bug #2298: User in multiple Orgs gets 'Any Organization'... Resolved 03/10/2013

Related to Foreman - Feature #7491: Move default org and location dropdowns t... Closed 09/17/2014

Associated revisions

Revision 7e1f0c79 - 04/11/2014 01:37 PM - Daniel Lobato Garcia

fixes #3914 - set current taxonomies on login from user defaults

History

#1 - 12/18/2013 04:35 PM - Dominic Cleal

- Related to Bug #2298: User in multiple Orgs gets 'Any Organization' option that really is any Org added

#2 - 01/09/2014 03:01 PM - Dominic Cleal

- Target version set to 1.9.2

#3 - 01/23/2014 12:24 AM - Daniel Lobato Garcia

- Status changed from New to Assigned

- Assignee set to Daniel Lobato Garcia

#4 - 01/24/2014 10:27 AM - Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/1191

#5 - 01/24/2014 10:52 AM - Daniel Lobato Garcia

- Status changed from Assigned to Ready For Testing

#6 - 02/06/2014 12:05 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#7 - 03/03/2014 12:49 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#8 - 03/26/2014 12:58 PM - Anonymous

05/11/2024 1/2

https://github.com/theforeman/foreman/pull/1191


- Target version changed from 1.9.0 to 1.8.4

#9 - 04/11/2014 01:36 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#10 - 04/11/2014 02:31 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7e1f0c79cfc8db80604e7c58124f52f0eb63cae5.

#11 - 09/17/2014 07:06 AM - Dominic Cleal

- Related to Feature #7491: Move default org and location dropdowns to same tab as org/loc selections added
